#conda activate vci-env
#cd ~/variational-causal-inference

##########################
# summary
#  1 om1-small (10/0.02/0.01)
#  
#  2 abl-kl (10/0.02/0)
#  
#  3 abl-both (10/0/0)
#  
#  4 abl-om1 (10/0/0.01)
#  
##########################

##########################
#
# 1
# om1-small (10/0.02/0.01)
# 
##########################

# 1/5
nohup python vci/main.py \
    --name morphomnist-lin-sch-om1-sm-0 \
    --seed 0 \
    --data_name morphomnist \
    --data_path data/morphomnist \
    --artifact_path artifact \
    --hparams vci/hparams/hparams_morphomnist.json \
    --gpu 0 \
    --dist_mode discriminate \
    --dist_outcomes bernoulli \
    --max_epochs 200 \
    --batch_size 32 \
    --omega0 10. \
    --omega1 0.02 \
    --omega2 0.01 \
    --max_grad_norm 1. \
    --grad_skip_threshold 100000000000000. \
    --linear_warmup_steps 100 \
    --ema_rate 0 \
    --discrim_step_cutoff 100000000000000. \
    --checkpoint_freq 2 > log/morphomnist-lin-sch-om1-sm-0.out 2>&1 &

# 2/5
nohup python vci/main.py \
    --name morphomnist-lin-sch-om1-sm-1 \
    --seed 0 \
    --data_name morphomnist \
    --data_path data/morphomnist \
    --artifact_path artifact \
    --hparams vci/hparams/hparams_morphomnist.json \
    --gpu 0 \
    --dist_mode discriminate \
    --dist_outcomes bernoulli \
    --max_epochs 200 \
    --batch_size 32 \
    --omega0 10. \
    --omega1 0.02 \
    --omega2 0.01 \
    --max_grad_norm 1. \
    --grad_skip_threshold 100000000000000. \
    --linear_warmup_steps 100 \
    --ema_rate 0 \
    --discrim_step_cutoff 100000000000000. \
    --checkpoint_freq 2 > log/morphomnist-lin-sch-om1-sm-1.out 2>&1 &

# 3/5
nohup python vci/main.py \
    --name morphomnist-lin-sch-om1-sm-2 \
    --seed 0 \
    --data_name morphomnist \
    --data_path data/morphomnist \
    --artifact_path artifact \
    --hparams vci/hparams/hparams_morphomnist.json \
    --gpu 0 \
    --dist_mode discriminate \
    --dist_outcomes bernoulli \
    --max_epochs 200 \
    --batch_size 32 \
    --omega0 10. \
    --omega1 0.02 \
    --omega2 0.01 \
    --max_grad_norm 1. \
    --grad_skip_threshold 100000000000000. \
    --linear_warmup_steps 100 \
    --ema_rate 0 \
    --discrim_step_cutoff 100000000000000. \
    --checkpoint_freq 2 > log/morphomnist-lin-sch-om1-sm-2.out 2>&1 &

# 4/5
nohup python vci/main.py \
    --name morphomnist-lin-sch-om1-sm-3 \
    --seed 0 \
    --data_name morphomnist \
    --data_path data/morphomnist \
    --artifact_path artifact \
    --hparams vci/hparams/hparams_morphomnist.json \
    --gpu 0 \
    --dist_mode discriminate \
    --dist_outcomes bernoulli \
    --max_epochs 200 \
    --batch_size 32 \
    --omega0 10. \
    --omega1 0.02 \
    --omega2 0.01 \
    --max_grad_norm 1. \
    --grad_skip_threshold 100000000000000. \
    --linear_warmup_steps 100 \
    --ema_rate 0 \
    --discrim_step_cutoff 100000000000000. \
    --checkpoint_freq 2 > log/morphomnist-lin-sch-om1-sm-3.out 2>&1 &

# 5/5
nohup python vci/main.py \
    --name morphomnist-lin-sch-om1-sm-4 \
    --seed 0 \
    --data_name morphomnist \
    --data_path data/morphomnist \
    --artifact_path artifact \
    --hparams vci/hparams/hparams_morphomnist.json \
    --gpu 0 \
    --dist_mode discriminate \
    --dist_outcomes bernoulli \
    --max_epochs 200 \
    --batch_size 32 \
    --omega0 10. \
    --omega1 0.02 \
    --omega2 0.01 \
    --max_grad_norm 1. \
    --grad_skip_threshold 100000000000000. \
    --linear_warmup_steps 100 \
    --ema_rate 0 \
    --discrim_step_cutoff 100000000000000. \
    --checkpoint_freq 2 > log/morphomnist-lin-sch-om1-sm-4.out 2>&1 &

# ##########################
# #
# # 2
# # abl-kl (10/0.02/0)
# # 
# ##########################

# 1/5
nohup python vci/main.py \
    --name morphomnist-lin-sch-abl-kl-0 \
    --seed 0 \
    --data_name morphomnist \
    --data_path data/morphomnist \
    --artifact_path artifact \
    --hparams vci/hparams/hparams_morphomnist.json \
    --gpu 0 \
    --dist_mode discriminate \
    --dist_outcomes bernoulli \
    --max_epochs 200 \
    --batch_size 32 \
    --omega0 10. \
    --omega1 0.02 \
    --omega2 0. \
    --max_grad_norm 1. \
    --grad_skip_threshold 100000000000000. \
    --linear_warmup_steps 100 \
    --ema_rate 0 \
    --discrim_step_cutoff 100000000000000. \
    --checkpoint_freq 2 > log/morphomnist-lin-sch-abl-kl-0.out 2>&1 &

# 2/5
nohup python vci/main.py \
    --name morphomnist-lin-sch-abl-kl-1 \
    --seed 0 \
    --data_name morphomnist \
    --data_path data/morphomnist \
    --artifact_path artifact \
    --hparams vci/hparams/hparams_morphomnist.json \
    --gpu 0 \
    --dist_mode discriminate \
    --dist_outcomes bernoulli \
    --max_epochs 200 \
    --batch_size 32 \
    --omega0 10. \
    --omega1 0.02 \
    --omega2 0. \
    --max_grad_norm 1. \
    --grad_skip_threshold 100000000000000. \
    --linear_warmup_steps 100 \
    --ema_rate 0 \
    --discrim_step_cutoff 100000000000000. \
    --checkpoint_freq 2 > log/morphomnist-lin-sch-abl-kl-1.out 2>&1 &

# 3/5
nohup python vci/main.py \
    --name morphomnist-lin-sch-abl-kl-2 \
    --seed 0 \
    --data_name morphomnist \
    --data_path data/morphomnist \
    --artifact_path artifact \
    --hparams vci/hparams/hparams_morphomnist.json \
    --gpu 0 \
    --dist_mode discriminate \
    --dist_outcomes bernoulli \
    --max_epochs 200 \
    --batch_size 32 \
    --omega0 10. \
    --omega1 0.02 \
    --omega2 0. \
    --max_grad_norm 1. \
    --grad_skip_threshold 100000000000000. \
    --linear_warmup_steps 100 \
    --ema_rate 0 \
    --discrim_step_cutoff 100000000000000. \
    --checkpoint_freq 2 > log/morphomnist-lin-sch-abl-kl-2.out 2>&1 &

# 4/5
nohup python vci/main.py \
    --name morphomnist-lin-sch-abl-kl-3 \
    --seed 0 \
    --data_name morphomnist \
    --data_path data/morphomnist \
    --artifact_path artifact \
    --hparams vci/hparams/hparams_morphomnist.json \
    --gpu 1 \
    --dist_mode discriminate \
    --dist_outcomes bernoulli \
    --max_epochs 200 \
    --batch_size 32 \
    --omega0 10. \
    --omega1 0.02 \
    --omega2 0. \
    --max_grad_norm 1. \
    --grad_skip_threshold 100000000000000. \
    --linear_warmup_steps 100 \
    --ema_rate 0 \
    --discrim_step_cutoff 100000000000000. \
    --checkpoint_freq 2 > log/morphomnist-lin-sch-abl-kl-3.out 2>&1 &

# 5/5
nohup python vci/main.py \
    --name morphomnist-lin-sch-abl-kl-4 \
    --seed 0 \
    --data_name morphomnist \
    --data_path data/morphomnist \
    --artifact_path artifact \
    --hparams vci/hparams/hparams_morphomnist.json \
    --gpu 1 \
    --dist_mode discriminate \
    --dist_outcomes bernoulli \
    --max_epochs 200 \
    --batch_size 32 \
    --omega0 10. \
    --omega1 0.02 \
    --omega2 0. \
    --max_grad_norm 1. \
    --grad_skip_threshold 100000000000000. \
    --linear_warmup_steps 100 \
    --ema_rate 0 \
    --discrim_step_cutoff 100000000000000. \
    --checkpoint_freq 2 > log/morphomnist-lin-sch-abl-kl-4.out 2>&1 &

# 5/5
nohup python vci/main.py \
    --name morphomnist-lin-sch-abl-kl-5 \
    --seed 0 \
    --data_name morphomnist \
    --data_path data/morphomnist \
    --artifact_path artifact \
    --hparams vci/hparams/hparams_morphomnist.json \
    --gpu 1 \
    --dist_mode discriminate \
    --dist_outcomes bernoulli \
    --max_epochs 200 \
    --batch_size 32 \
    --omega0 10. \
    --omega1 0.02 \
    --omega2 0. \
    --max_grad_norm 1. \
    --grad_skip_threshold 100000000000000. \
    --linear_warmup_steps 100 \
    --ema_rate 0 \
    --discrim_step_cutoff 100000000000000. \
    --checkpoint_freq 2 > log/morphomnist-lin-sch-abl-kl-5.out 2>&1 &

# ##########################
# #
# # 3
# # abl-both (10/0/0)
# # 
# ##########################

# # 1/5
# nohup python vci/main.py \
#     --name morphomnist-sch-abl-both-0 \
#     --seed 0 \
#     --data_name morphomnist \
#     --data_path data/morphomnist \
#     --artifact_path artifact \
#     --hparams vci/hparams/hparams_morphomnist.json \
#     --gpu 2 \
#     --dist_mode discriminate \
#     --dist_outcomes bernoulli \
#     --max_epochs 200 \
#     --batch_size 32 \
#     --omega0 10. \
#     --omega1 0. \
#     --omega2 0. \
#     --max_grad_norm 1. \
#     --grad_skip_threshold 100000000000000. \
#     --linear_warmup_steps 100 \
#     --ema_rate 0 \
#     --discrim_step_cutoff 100000000000000. \
#     --checkpoint_freq 2 > log/morphomnist-sch-abl-both-0.out 2>&1 &

# # 2/5
# nohup python vci/main.py \
#     --name morphomnist-sch-abl-both-1 \
#     --seed 0 \
#     --data_name morphomnist \
#     --data_path data/morphomnist \
#     --artifact_path artifact \
#     --hparams vci/hparams/hparams_morphomnist.json \
#     --gpu 2 \
#     --dist_mode discriminate \
#     --dist_outcomes bernoulli \
#     --max_epochs 200 \
#     --batch_size 32 \
#     --omega0 10. \
#     --omega1 0. \
#     --omega2 0. \
#     --max_grad_norm 1. \
#     --grad_skip_threshold 100000000000000. \
#     --linear_warmup_steps 100 \
#     --ema_rate 0 \
#     --discrim_step_cutoff 100000000000000. \
#     --checkpoint_freq 2 > log/morphomnist-sch-abl-both-1.out 2>&1 &

# # 3/5
# nohup python vci/main.py \
#     --name morphomnist-sch-abl-both-2 \
#     --seed 0 \
#     --data_name morphomnist \
#     --data_path data/morphomnist \
#     --artifact_path artifact \
#     --hparams vci/hparams/hparams_morphomnist.json \
#     --gpu 2 \
#     --dist_mode discriminate \
#     --dist_outcomes bernoulli \
#     --max_epochs 200 \
#     --batch_size 32 \
#     --omega0 10. \
#     --omega1 0. \
#     --omega2 0. \
#     --max_grad_norm 1. \
#     --grad_skip_threshold 100000000000000. \
#     --linear_warmup_steps 100 \
#     --ema_rate 0 \
#     --discrim_step_cutoff 100000000000000. \
#     --checkpoint_freq 2 > log/morphomnist-sch-abl-both-2.out 2>&1 &

# # 4/5
# nohup python vci/main.py \
#     --name morphomnist-sch-abl-both-3 \
#     --seed 0 \
#     --data_name morphomnist \
#     --data_path data/morphomnist \
#     --artifact_path artifact \
#     --hparams vci/hparams/hparams_morphomnist.json \
#     --gpu 2 \
#     --dist_mode discriminate \
#     --dist_outcomes bernoulli \
#     --max_epochs 200 \
#     --batch_size 32 \
#     --omega0 10. \
#     --omega1 0. \
#     --omega2 0. \
#     --max_grad_norm 1. \
#     --grad_skip_threshold 100000000000000. \
#     --linear_warmup_steps 100 \
#     --ema_rate 0 \
#     --discrim_step_cutoff 100000000000000. \
#     --checkpoint_freq 2 > log/morphomnist-sch-abl-both-3.out 2>&1 &

# # 5/5
# nohup python vci/main.py \
#     --name morphomnist-sch-abl-both-4 \
#     --seed 0 \
#     --data_name morphomnist \
#     --data_path data/morphomnist \
#     --artifact_path artifact \
#     --hparams vci/hparams/hparams_morphomnist.json \
#     --gpu 2 \
#     --dist_mode discriminate \
#     --dist_outcomes bernoulli \
#     --max_epochs 200 \
#     --batch_size 32 \
#     --omega0 10. \
#     --omega1 0. \
#     --omega2 0. \
#     --max_grad_norm 1. \
#     --grad_skip_threshold 100000000000000. \
#     --linear_warmup_steps 100 \
#     --ema_rate 0 \
#     --discrim_step_cutoff 100000000000000. \
#     --checkpoint_freq 2 > log/morphomnist-sch-abl-both-4.out 2>&1 &

# ##########################
# #
# # 4
# # abl-om1 (10/0/0.01)
# # 
# ##########################

# # 1/5
# nohup python vci/main.py \
#     --name morphomnist-sch-abl-om1-0 \
#     --seed 0 \
#     --data_name morphomnist \
#     --data_path data/morphomnist \
#     --artifact_path artifact \
#     --hparams vci/hparams/hparams_morphomnist.json \
#     --gpu 3 \
#     --dist_mode discriminate \
#     --dist_outcomes bernoulli \
#     --max_epochs 200 \
#     --batch_size 32 \
#     --omega0 10. \
#     --omega1 0. \
#     --omega2 0.01 \
#     --max_grad_norm 1. \
#     --grad_skip_threshold 100000000000000. \
#     --linear_warmup_steps 100 \
#     --ema_rate 0 \
#     --discrim_step_cutoff 100000000000000. \
#     --checkpoint_freq 2 > log/morphomnist-sch-abl-om1-0.out 2>&1 &

# # 2/5
# nohup python vci/main.py \
#     --name morphomnist-sch-abl-om1-1 \
#     --seed 0 \
#     --data_name morphomnist \
#     --data_path data/morphomnist \
#     --artifact_path artifact \
#     --hparams vci/hparams/hparams_morphomnist.json \
#     --gpu 3 \
#     --dist_mode discriminate \
#     --dist_outcomes bernoulli \
#     --max_epochs 200 \
#     --batch_size 32 \
#     --omega0 10. \
#     --omega1 0. \
#     --omega2 0.01 \
#     --max_grad_norm 1. \
#     --grad_skip_threshold 100000000000000. \
#     --linear_warmup_steps 100 \
#     --ema_rate 0 \
#     --discrim_step_cutoff 100000000000000. \
#     --checkpoint_freq 2 > log/morphomnist-sch-abl-om1-1.out 2>&1 &
    
# # 3/5
# nohup python vci/main.py \
#     --name morphomnist-sch-abl-om1-2 \
#     --seed 0 \
#     --data_name morphomnist \
#     --data_path data/morphomnist \
#     --artifact_path artifact \
#     --hparams vci/hparams/hparams_morphomnist.json \
#     --gpu 3 \
#     --dist_mode discriminate \
#     --dist_outcomes bernoulli \
#     --max_epochs 200 \
#     --batch_size 32 \
#     --omega0 10. \
#     --omega1 0. \
#     --omega2 0.01 \
#     --max_grad_norm 1. \
#     --grad_skip_threshold 100000000000000. \
#     --linear_warmup_steps 100 \
#     --ema_rate 0 \
#     --discrim_step_cutoff 100000000000000. \
#     --checkpoint_freq 2 > log/morphomnist-sch-abl-om1-2.out 2>&1 &

# # 4/5
# nohup python vci/main.py \
#     --name morphomnist-sch-abl-om1-3 \
#     --seed 0 \
#     --data_name morphomnist \
#     --data_path data/morphomnist \
#     --artifact_path artifact \
#     --hparams vci/hparams/hparams_morphomnist.json \
#     --gpu 3 \
#     --dist_mode discriminate \
#     --dist_outcomes bernoulli \
#     --max_epochs 200 \
#     --batch_size 32 \
#     --omega0 10. \
#     --omega1 0. \
#     --omega2 0.01 \
#     --max_grad_norm 1. \
#     --grad_skip_threshold 100000000000000. \
#     --linear_warmup_steps 100 \
#     --ema_rate 0 \
#     --discrim_step_cutoff 100000000000000. \
#     --checkpoint_freq 2 > log/morphomnist-sch-abl-om1-3.out 2>&1 &

# # 5/5
# nohup python vci/main.py \
#     --name morphomnist-sch-abl-om1-4 \
#     --seed 0 \
#     --data_name morphomnist \
#     --data_path data/morphomnist \
#     --artifact_path artifact \
#     --hparams vci/hparams/hparams_morphomnist.json \
#     --gpu 3 \
#     --dist_mode discriminate \
#     --dist_outcomes bernoulli \
#     --max_epochs 200 \
#     --batch_size 32 \
#     --omega0 10. \
#     --omega1 0. \
#     --omega2 0.01 \
#     --max_grad_norm 1. \
#     --grad_skip_threshold 100000000000000. \
#     --linear_warmup_steps 100 \
#     --ema_rate 0 \
#     --discrim_step_cutoff 100000000000000. \
#     --checkpoint_freq 2 > log/morphomnist-sch-abl-om1-4.out 2>&1 &
